Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Notation

    java.lang.Object
      org.apache.axis.types.Notation

All Implemented Interfaces:
  java.io.Serializable

public class Notation
extends java.lang.Object
implements java.io.Serializable

Custom class for supporting XSD data type NOTATION.

Author:
  Davanum Srinivas
See Also:
  XML Schema Part 1: 3.12 Notation Declarations, Serialized Form

Constructor Summary
`Notation()`
`Notation(NCName name, URI publicURI, URI systemURI)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`NCName` | `getName()`
`URI` | `getPublic()`
`URI` | `getSystem()`
`static TypeDesc` | `getTypeDesc()`
`int` | `hashCode()` Returns the sum of the hashcodes of {name,publicURI,systemURI} for whichever properties in that set is non null.
`void` | `setName(NCName name)`
`void` | `setPublic(URI publicURI)`
`void` | `setSystem(URI systemURI)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Notation

    public Notation()

### Notation

    public Notation(NCName name,
                    URI publicURI,
                    URI systemURI)

Method Detail

### getName

    public NCName getName()

### setName

    public void setName(NCName name)

### getPublic

    public URI getPublic()

### setPublic

    public void setPublic(URI publicURI)

### getSystem

    public URI getSystem()

### setSystem

    public void setSystem(URI systemURI)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

  Returns the sum of the hashcodes of {name,publicURI,systemURI} for whichever properties in that set is non null. This is consistent with the implementation of equals, as required by `Object.hashCode`.

  Returns:
    an `int` value

### getTypeDesc

    public static TypeDesc getTypeDesc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.